Bug 74018 - Corrupted DOCX freezes when opened in Linux and Windows (see Comment 17 and Comment 19)
Summary: Corrupted DOCX freezes when opened in Linux and Windows (see Comment 17 and C...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: high major
Assignee: Not Assigned
URL:
Whiteboard: noRepro:4.3.0.0a0+:OSX noRepro:4.2.0....
Keywords:
: 74032 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-01-24 13:13 UTC by Samuel Mehrbrodt (CIB)
Modified: 2018-03-01 03:41 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
Crash document (12.37 KB, application/vnd.oasis.opendocument.text)
2014-01-24 13:13 UTC, Samuel Mehrbrodt (CIB)
Details
odt saved in docx, crashes while opening (561.45 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-24 15:12 UTC, k-j
Details
bt with symbols (13.21 KB, text/plain)
2014-01-24 21:37 UTC, Julien Nabet
Details
bt during freeze (9.30 KB, text/plain)
2016-06-05 15:46 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2014-01-24 13:13:12 UTC
Created attachment 92725 [details]
Crash document

When you open the attached odt file and save it to docx, Writer crashes and gives the following console output: http://pastie.org/8663568
Comment 1 Samuel Mehrbrodt (CIB) 2014-01-24 13:16:49 UTC
In 4.1 the crash does not happen, it happens only in my build from 2014-01-23.
Comment 2 sophie 2014-01-24 13:32:54 UTC
Hi Samuel, no crash for me using Version: 4.2.0.3
Build ID: c63c03decdf780d8fb80823950665b782ec9ecd0 under Ubuntu 13.10 - Sophie
Comment 3 retired 2014-01-24 14:40:44 UTC
WORKSFORME. NoRepro:4.3.0.0a0+:OSX NoRepro:4.2.0.3:OSX

Since Sophi was unable to reproduce on Linux what platform is it this bug is happening on?

Did you try the next nightly from 24th jan? Also maybe reset your user profile?
Comment 4 Samuel Mehrbrodt (CIB) 2014-01-24 14:52:46 UTC
Well the problem may be that I have a debug build: http://opengrok.libreoffice.org/xref/core/oox/source/export/vmlexport.cxx#778

Miklos, I think this is your area, can you tell whether this is a valid bug report?
Comment 5 k-j 2014-01-24 15:10:28 UTC
I can confirm the crash in 4.2.0.2 WIN XP 32 Pro bit (Build ID: cd65d6220c5694ee7012d7863bcde3455c9e3c30).

But the crash only happens when English is the language of the user interface. When I switch to German it works. But when I try to open the saved docx it crashes too.
Comment 6 k-j 2014-01-24 15:12:07 UTC
Created attachment 92733 [details]
odt saved in docx, crashes while opening
Comment 7 Pedro 2014-01-24 17:41:41 UTC
It has been confirmed under Windows so changing to NEW
Comment 8 Julien Nabet 2014-01-24 21:37:44 UTC
Created attachment 92746 [details]
bt with symbols

On pc Debian x86-64 with master sources updated today (enable-dbgutil), I can reproduce this.
I attached bt + console.
Comment 9 Julien Nabet 2014-01-24 21:38:37 UTC
k-j: thank you for the feedback but please open a new bug since your crash is different from this one.
Comment 10 k-j 2014-01-24 23:16:46 UTC
Hi Juliet,
done with bug 74032
Comment 11 Julien Nabet 2014-01-24 23:20:26 UTC
*** Bug 74032 has been marked as a duplicate of this bug. ***
Comment 12 Harald Koester 2014-01-27 11:22:48 UTC
Reproduced with Ver. 4.2.0.3 with both English and German user interface. But LO does not crash always. For me it's random.

OS: Win 7 32 Bit
Comment 13 tommy27 2014-02-16 09:12:33 UTC
tested under Win7x64 with 4.3.0.0.alpha0+
Build ID: ecf22894f522374cbdb8196d3bdef88e2fba7af9
TinderBox: Win-x86@39, Branch:master, Time: 2014-02-15_01:01:17

(In reply to comment #0)
> Created attachment 92725 [details]
> Crash document
> 
> When you open the attached odt file and save it to docx, Writer crashes and
> gives the following console output: http://pastie.org/8663568

not reproducible with recent 4.3 build. 
I can save the .odt as .pptx and reload it with no crash

(In reply to comment #6)
> Created attachment 92733 [details]
> odt saved in docx, crashes while opening

this file makes my 4.3 build freeze while trying opening it
Comment 14 Björn Michaelsen 2014-07-12 20:18:12 UTC
Priority highest is reserved for MABs, please see: https://wiki.documentfoundation.org/MAB on when a bug qualifies for that.

Thus keeping this on priority high.
Comment 15 steve -_- 2015-04-14 07:32:48 UTC
OSX 10.10.3 LO Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Locale: de_

opens odt file "crash document" fine
saves file as docx fine
docx opens fine

"odt saved in docx, crashes while opening" opens fine. Smiley has become a square but this is not what this bug is about.



Identical test results with Version: 4.5.0.0.alpha0+
Build ID: 4e0d2fcdda3f639a05118b25ef99d8a4848302ce
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2015-04-13_06:20:15
Locale: de_

But maybe this bug never existed on OS X. So far all tests did not result in a crash. It's been confirmed on Linux + Windows in the past though.
Comment 16 steve -_- 2015-04-14 07:38:10 UTC
adding needinfo since we've not had this retested for over a year. Could anybody with win or linux re-test this with LO 4.4.2 or the latest nightly please.
Comment 17 Buovjaga 2015-04-14 07:44:08 UTC
It doesn't crash, if I start with attachment 92725 [details]. Saving to docx doesn't crash, opening it doesn't crash. English UI.

Attachment 92733 [details] does crash on opening.

Win 7 Pro 64-bit, Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Locale: fi_FI
Comment 18 k-j 2015-04-14 08:06:42 UTC
The same here
LibO 5.0.0 Alpha0+ TinderBox Win-x86@42 2015-04-06
WIN10 Pro Build 10049.

The original file doesn't crash while saving or when I open it again.

The saved (Attachment 92733 [details]) crashes while opening. The crashed file is shown in the Start Center but can't be open. But this may be another bug.

So I think we can close the bug.
Comment 19 Buovjaga 2015-04-14 08:07:31 UTC
Not reproduced on Linux with attachment 92725 [details].
Curiously, even attachment 92733 [details] does not crash 4.4.2 on Linux, but LibO gets very sluggish (scrolling) and the smiley face turns into a ragged-edged square.

I changed the title and am keeping this NEW after consulting with developers. The crashing should be avoided.

I have to add that on Windows it is more of a freeze than a crash to be honest.

Ubuntu 14.10 64-bit 
Version: 4.4.2.2
Build ID: 40m0(Build:2)
Locale: en_US
Comment 20 Julien Nabet 2015-04-14 18:36:05 UTC
On pc Debian x86-64 with master sources updated today, no crash and the scrolling is ok.
Comment 21 Commit Notification 2015-04-14 20:02:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=78ca28fb175f8b08b83b40050e41fe30f1bf6237&h=libreoffice-4-4

Related: tdf#74018 fix int wraparound + crash on export

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2015-04-14 20:30:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1e252733e3ddbab7b4854799acb05edc25dd07a&h=libreoffice-4-3

Related: tdf#74018 fix int wraparound + crash on export

It will be available in 4.3.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2015-04-16 11:00:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c07133e19e1573ee36f42ea230eece2f839edc60

Related: tdf#74018 fix int wraparound + crash on export

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2015-04-16 21:09:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=963b2dbd0fe10e7533bed4c284bcf4ecaf6d827d

Related: tdf#74018 fix int wraparound + crash on export

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2015-04-20 13:55:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3-7":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=109964b1b346272ba941bbd4ac8a93b709a86ad8&h=libreoffice-4-3-7

Related: tdf#74018 fix int wraparound + crash on export

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Xisco Faulí 2015-08-21 10:43:08 UTC
(In reply to Beluga from comment #19)
> Not reproduced on Linux with attachment 92725 [details].
> Curiously, even attachment 92733 [details] does not crash 4.4.2 on Linux,
> but LibO gets very sluggish (scrolling) and the smiley face turns into a
> ragged-edged square.
> 
> I changed the title and am keeping this NEW after consulting with
> developers. The crashing should be avoided.
> 
> I have to add that on Windows it is more of a freeze than a crash to be
> honest.
> 
> Ubuntu 14.10 64-bit 
> Version: 4.4.2.2
> Build ID: 40m0(Build:2)
> Locale: en_US

Freeze still present in

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: es-ES (es_ES)

on Windows 7 (64-bit)
Comment 27 Julien Nabet 2016-06-05 15:46:34 UTC
Created attachment 125494 [details]
bt during freeze

On pc Debian x86-64 with master sources updated today, I could reproduce the freeze.
I attached a bt at random.
Comment 28 Telesto 2016-12-07 08:14:34 UTC
No repro with:
Version: 5.4.0.0.alpha0+
Build ID: 2bad9f1cd8da0cd3d8ff33e875eaf10c1fd9d0bf
CPU Threads: 4; OS Version: Mac OS X 10.12.1; UI Render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2016-11-29_01:04:44
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 29 Buovjaga 2016-12-07 10:20:20 UTC
Opening attachment 92733 [details] still causes a freeze on Win.

Win 7 Pro 64-bit Version: 5.4.0.0.alpha0+
Build ID: a9f56091b6422ec8c42f09b8472200ae4ab12548
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-12-05_23:12:26
Locale: fi-FI (fi_FI); Calc: group
Comment 30 tommy27 2016-12-08 08:28:29 UTC
@Telesto
bug was never reproduced under Mac.
just Linux and Windows.

is there any Linux user that can retest against 5.3.x or 5.4.x?
Comment 31 Xisco Faulí 2016-12-08 08:59:22 UTC
(In reply to Buovjaga from comment #29)
> Opening attachment 92733 [details] still causes a freeze on Win.
> 
> Win 7 Pro 64-bit Version: 5.4.0.0.alpha0+
> Build ID: a9f56091b6422ec8c42f09b8472200ae4ab12548
> CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
> TinderBox: Win-x86@42, Branch:master, Time: 2016-12-05_23:12:26
> Locale: fi-FI (fi_FI); Calc: group

Same in 

Version: 5.4.0.0.alpha0+
Build ID: 7fc84a8e6678e3d0399983f5a078c9b2beb6ee4b
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 32 QA Administrators 2018-03-01 03:41:38 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug